rb_node Struct Reference

`#include <linuxrbtree.h>`

## Data Fields

unsigned long | rb_parent_color
struct rb_node * | rb_right
struct rb_node * | rb_left

## Field Documentation

## rb_left

struct rb_node* rb_node::rb_left

Referenced by __rb_erase_color(), __rb_rotate_left(), __rb_rotate_right(), rb_erase(), rb_insert_color(), rb_prev(), and rb_replace_node().

## rb_parent_color

unsigned long rb_node::rb_parent_color

Referenced by rb_erase(), rb_set_color(), and rb_set_parent().

## rb_right

struct rb_node* rb_node::rb_right

Referenced by __rb_erase_color(), __rb_rotate_left(), __rb_rotate_right(), rb_erase(), rb_insert_color(), rb_next(), and rb_replace_node().

The documentation for this struct was generated from the following file:

- include/osmocom/core/linuxrbtree.h